# $Revision: 1.9 $, $Date: 2010/06/06 08:30:15 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Array
%define	pnam	RefElem
Summary:	Array::RefElem - set up array elements as aliases
Summary(pl.UTF-8):	Array::RefElem - ustawianie elementów tablicy jako aliasów
Name:		perl-Array-RefElem
Version:	1.00
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/G/GA/GAAS/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	43ff2dd2049258634cb00697198572d1
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module gives direct access to some of the internal Perl routines
that let you store things in arrays and hashes.

%description -l pl.UTF-8
Ten moduł daje bezpośredni dostęp do niektórych wewnętrznych funkcji
Perla pozwalających zapisywać różne rzeczy w tablicach i haszach.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/Array
%{perl_vendorarch}/Array/*.pm
%dir %{perl_vendorarch}/auto/Array
%dir %{perl_vendorarch}/auto/Array/RefElem
%{perl_vendorarch}/auto/Array/RefElem/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Array/RefElem/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Array-RefElem.spec,v $
Revision 1.9  2010/06/06 08:30:15  arekm
- release 4

Revision 1.8  2009/03/14 11:14:59  hawk
- release 3

Revision 1.7  2008/02/10 11:58:55  arekm
- rel 2

Revision 1.6  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.5  2007-02-12 22:09:10  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.3  2006/08/19 21:44:22  qboosh
- use macros in Source0 URL

Revision 1.2  2006/08/19 21:37:31  qboosh
- pl

Revision 1.1  2006/07/27 17:24:07  glen
- new
